> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/group/general/list-user-devices.md).

# Benutzergeräte auflisten

Die bei den Mitgliedern dieser Gruppe registrierten Geräte auflisten

### Beschreibung

Listet die bei den Benutzern dieser Gruppe registrierten Geräte auf. Optional werden die gefundenen Geräte einer Gerätegruppe Ihrer Wahl hinzugefügt. Geräte werden nur zu dieser Gruppe hinzugefügt, niemals entfernt.

### Speicherort

Gruppe → Allgemein → Benutzergeräte auflisten

**Voller Runbook-Name**

rjgit-group\_general\_list-user-devices

### Details

| Eigenschaft          | Wert                                                                                     |
| -------------------- | ---------------------------------------------------------------------------------------- |
| Version              | 1.1.0                                                                                    |
| Erforderliche Module | <p>RealmJoin.RunbookHelper (>= 0.8.10)<br>Microsoft.Graph.Authentication (>= 2.41.2)</p> |
| Planbar              | nein                                                                                     |

### Berechtigungen

#### Anwendungsberechtigungen

* **Typ**: Microsoft Graph
  * Device.Read.All
    * *Liest die registrierten Geräte jedes Mitglieds über /users/{id}/registeredDevices*
  * Group.Read.All
    * *Listet die Benutzer-Mitglieder der Gruppe auf, um zu ermitteln, wessen Geräte aufgelistet werden sollen*
  * GroupMember.ReadWrite.All *(optional — Funktion: Geräte zur Gruppe verschieben)*
    * *Fügt die gefundenen Geräte der Zielgruppe hinzu*

### Parameter

#### GroupID

Objekt-ID der Gruppe, auf die das Runbook angewendet wird. Wird vom Portal aus der ausgewählten Gruppe gesetzt.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | wahr                                            |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### moveGroup

Ob die gefundenen Geräte der ausgewählten Gerätegruppe hinzugefügt werden. Wird durch die Auswahl „Aktion“ festgelegt.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | falsch                                          |
| Standardwert           | Falsch                                          |
| Typ                    | Boolesch                                        |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### Zielgruppe

Gruppe, der die gefundenen Geräte hinzugefügt werden. Wird nur verwendet, wenn „Aktion“ die Geräte hinzufügt.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | falsch       |
| Standardwert |              |
| Typ          | Zeichenfolge |

[Zurück zur Übersicht der Runbook-Referenz](/de/automatisierung/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/group/general/list-user-devices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
